<?php
/**
 * Dummy for with the child field
 *
 * @category Frontend
 * @package Frontend_Forms
 */

class ChildrenForm extends App_Frontend_Form
{
    /**
     * Set the partial to render the form
     *
     * @var string
     */
    protected $_partial = 'forms/children-form.phtml';
    
    /**
     * Overrides init() in App_Form
     * 
     * @access public
     * @return void
     */
    public function init() {
        // init the parent
        parent::init();
        
        // set the form's method
        $this->setMethod('post');
        
        $childrens = new App_Form_Element_Childrens('childrens', array(
            'required' => TRUE,
            'multiOptions' => range(date('Y'), date('Y', strtotime('-100 years'))),
            'filters' => array(
                'StringTrim',
                'StripTags',
            ),
            'validators' => array(),
            'jsOptions' => array(
                'rowTitle' => $this->t('Child born on:'),
                'selectDefaultOptionValue' => '',
                'selectDefaultOptionText' => $this->t('Select the birth year of the child'),
                'addMoreButtonTitle' => $this->t('Add child'),
            ),
        ));
        $this->addElement($childrens);
    }
}