<?php
/**
 * A more flexible error decorator
 *
 * @category App
 * @package App_Form
 * @subpackage Decorator
 * @copyright Familia Facil S.L.
 */
class App_Form_Decorator_CustomErrors extends Zend_Form_Decorator_Errors
{
    /**
     * Render errors using a custom helper
     *
     * @param  string $content
     * @return string
     */
    public function render($content)
    {
        $element = $this->getElement();
        $view    = $element->getView();
        if (null === $view) {
            return $content;
        }
        
        $errors = $element->errors;
        if (empty($errors)) {
            return $content;
        }
        
        $separator = $this->getSeparator();
        $placement = $this->getPlacement();
        $errors    = $view->{$element->errorHelper}($element->getname(), $errors, $this->getOptions());
        
        switch ($placement) {
            case self::APPEND:
                return $content . $separator . $errors;
            case self::PREPEND:
                return $errors . $separator . $content;
        }
    }
}
