<?php
/**
 * Custom form element for rendering the errors of the widget that allows 
 * to specify multiple childrens
 *
 * @category App
 * @package App_View
 * @copyright Familia Facil S.L.
 */

class App_View_Helper_FormChildrensErrors extends Zend_View_Helper_FormErrors
{
    /**
     * Convenience method
     * call $this->formChildrensErrors() in the view to access 
     * the helper
     *
     * @param string $name
     * @param array $errors 
     * @param array $options
     * @access public
     * @return void
     */
    public function formChildrensErrors($name, $errors, $options = null)
    {
        $js = sprintf('
            $(function() {
                $("label[for=%1$s]").childrenWidget("errors", %2$s);
            });',
            $name,
            $this->_getOptions($errors)
        );
        
        $this->view->headScript()->appendScript($js);
    }
    
    /**
     * Converts the options into an array
     * 
     * @param array $options 
     * @access protected
     * @return string
     */
    protected function _getOptions(array $options = null, $encode = true)
    {
        return $encode ? Zend_Json::encode($options) : $options;
    }
}
